| LibDriver LLCC68 1.0.0 LLCC68 full function driver

Data Fields
llcc68_handle_s Struct Reference
llcc68 driver function » llcc68 command driver function

llcc68 handle structure definition More...

`#include <driver_llcc68.h>`

## Data Fields
uint8_t(* | reset_gpio_init )(void)
uint8_t(* | reset_gpio_deinit )(void)
uint8_t(* | reset_gpio_write )(uint8_t value)
uint8_t(* | busy_gpio_init )(void)
uint8_t(* | busy_gpio_deinit )(void)
uint8_t(* | busy_gpio_read )(uint8_t *value)
uint8_t(* | spi_init )(void)
uint8_t(* | spi_deinit )(void)
uint8_t(* | spi_write_read )(uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len)
void(* | delay_ms )(uint32_t ms)
void(* | debug_print )(const char *const fmt,...)
void(* | receive_callback )(uint16_t type, uint8_t *buf, uint16_t len)
uint8_t | inited
uint8_t | tx_done
uint8_t | cad_done
uint8_t | cad_detected
uint8_t | crc_error
uint8_t | timeout
uint8_t | buf [384]
uint8_t | receive_buf [256]

## Detailed Description

llcc68 handle structure definition

Definition at line 370 of file driver_llcc68.h.

## Field Documentation

## ◆ buf

uint8_t buf[384]

inner buffer

Definition at line 392 of file driver_llcc68.h.

## ◆ busy_gpio_deinit

uint8_t(* busy_gpio_deinit) (void)

point to a busy_gpio_deinit function address

Definition at line 376 of file driver_llcc68.h.

## ◆ busy_gpio_init

uint8_t(* busy_gpio_init) (void)

point to a busy_gpio_init function address

Definition at line 375 of file driver_llcc68.h.

## ◆ busy_gpio_read

uint8_t(* busy_gpio_read) (uint8_t *value)

point to a busy_gpio_read function address

Definition at line 377 of file driver_llcc68.h.

## ◆ cad_detected

uint8_t cad_detected

cad detected flag

Definition at line 389 of file driver_llcc68.h.

## ◆ cad_done

uint8_t cad_done

cad done flag

Definition at line 388 of file driver_llcc68.h.

## ◆ crc_error

uint8_t crc_error

crc error flag

Definition at line 390 of file driver_llcc68.h.

## ◆ debug_print

void(* debug_print) (const char *const fmt,...)

point to a debug_print function address

Definition at line 383 of file driver_llcc68.h.

## ◆ delay_ms

void(* delay_ms) (uint32_t ms)

point to a delay_ms function address

Definition at line 382 of file driver_llcc68.h.

## ◆ inited

uint8_t inited

inited flag

Definition at line 386 of file driver_llcc68.h.

## ◆ receive_buf

uint8_t receive_buf[256]

receive buffer

Definition at line 393 of file driver_llcc68.h.

## ◆ receive_callback

void(* receive_callback) (uint16_t type, uint8_t *buf, uint16_t len)

point to a receive_callback function address

Definition at line 384 of file driver_llcc68.h.

## ◆ reset_gpio_deinit

uint8_t(* reset_gpio_deinit) (void)

point to a reset_gpio_deinit function address

Definition at line 373 of file driver_llcc68.h.

## ◆ reset_gpio_init

uint8_t(* reset_gpio_init) (void)

point to a reset_gpio_init function address

Definition at line 372 of file driver_llcc68.h.

## ◆ reset_gpio_write

uint8_t(* reset_gpio_write) (uint8_t value)

point to a reset_gpio_write function address

Definition at line 374 of file driver_llcc68.h.

## ◆ spi_deinit

uint8_t(* spi_deinit) (void)

point to a spi_deinit function address

Definition at line 379 of file driver_llcc68.h.

## ◆ spi_init

uint8_t(* spi_init) (void)

point to a spi_init function address

Definition at line 378 of file driver_llcc68.h.

## ◆ spi_write_read

uint8_t(* spi_write_read) (uint8_t *in_buf, uint32_t in_len, uint8_t *out_buf, uint32_t out_len)

point to a spi_write_read function address

Definition at line 380 of file driver_llcc68.h.

## ◆ timeout

uint8_t timeout

timeout flag

Definition at line 391 of file driver_llcc68.h.

## ◆ tx_done

uint8_t tx_done

tx done flag

Definition at line 387 of file driver_llcc68.h.

The documentation for this struct was generated from the following file:

- src/driver_llcc68.h